<?php

// API routes  for feedback
Route::prefix('{guard}/feedback')->group(function () {
    Route::get('feedback/form/{element}', 'FeedbackAPIController@form');
    Route::resource('feedback', 'FeedbackAPIController');
});

// Public routes for feedback
Route::get('feedback/', 'FeedbackPublicController@index');
Route::get('feedback/{slug?}', 'FeedbackPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for feedback
            Route::prefix('{guard}/feedback')->group(function () {
                Route::get('feedback/form/{element}', 'FeedbackAPIController@form');
                Route::apiResource('feedback', 'FeedbackAPIController');
            });
            // Public routes for feedback
            Route::get('feedback/Feedback', 'FeedbackPublicController@getFeedback');
        }
    );
}

