<?php

// web routes  for feedback
Route::prefix('{guard}/feedback')->group(function () {
    Route::resource('feedback', 'FeedbackResourceController');
});

// Public routes for feedback
Route::get('feedback/', 'FeedbackPublicController@index');
Route::get('feedback/{slug?}', 'FeedbackPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'FeedbackResourceController');
            });
            // Public routes for pages
            Route::get('feedback/', 'FeedbackPublicController@index');
            Route::get('feedback/{slug?}', 'FeedbackPublicController@show');
        }
    );
}

