<?php

namespace Litecms\Feedback;

use User;

class Feedback
{
    /**
     * $feedback object.
     */
    protected $feedback;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Feedback\Interfaces\FeedbackRepositoryInterface $feedback)
    {
        $this->feedback = $feedback;
    }

    /**
     * Returns count of feedback.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.feedback.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->feedback->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\FeedbackUserCriteria());
        }

        $feedback = $this->feedback->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('feedback::' . $view, compact('feedback'))->render();
    }
}
