<?php

namespace Litecms\Feedback\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litecms\Feedback\Interfaces\FeedbackRepositoryInterface;

class FeedbackPublicController extends BaseController
{
    // use FeedbackWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litecms\Feedback\Interfaces\FeedbackRepositoryInterface $feedback
     *
     * @return type
     */
    public function __construct(FeedbackRepositoryInterface $feedback)
    {
        $this->repository = $feedback;
        parent::__construct();
    }

    /**
     * Show feedback's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $feedback = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('feedback::feedback.names'))
            ->view('feedback::public.feedback.index')
            ->data(compact('feedback'))
            ->output();
    }


    /**
     * Show feedback.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $feedback = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($feedback->name . trans('feedback::feedback.name'))
            ->view('feedback::public.feedback.show')
            ->data(compact('feedback'))
            ->output();
    }

}
